Bug 37656 - VA-API drivers project
VA-API drivers project
Status: RESOLVED FIXED
Product: freedesktop.org
Classification: Unclassified
Component: Project Creation Requests
unspecified
Other All
: medium normal
Assigned To: fd.o Admin Massive
:
Depends on: 40127
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 00:49 UTC by Gwenole Beauchesne
Modified: 2011-09-05 03:42 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gwenole Beauchesne 2011-05-27 00:49:07 UTC
Hi, I would like to create new repositories to hold VA-API drivers, and later on move libva/ under a common place. In particular, I would like the following hierarchy:

vaapi/XXX-driver  - for XXX driver from other people (they will add themselves)
vaapi/vdpau-driver - NEW from current vdpau-video 0.7.x series at SDS
vaapi/xvba-driver - NEW from upcoming xvba-video 0.8.x series at SDS
vaapi/libva - moved from libva
vaapi/intel-driver - moved from libva/i965_drv_video

Note that I don't know if it is possible at all to move projects around. So, for now, I am only requesting the top-level vaapi group (there could be a "vaapi" UNIX group too) and the following two projects:

* vaapi/vdpau-driver
- Services: GIT hosting, bugzilla
- Approve new members: me
- GIT & Bugzilla description: HW video decode support for VDPAU platforms. e.g. NVIDIA

* vaapi/xvba-driver
- Services: GIT hosting, bugzilla
- Approve new members: me
- GIT & Bugzilla description: HW video decode support for XvBA platforms. e.g. ATI

I have added all parties that may be impacted by this change. Sorry for spamming you. :)

Thanks,
Gwenole.
Comment 1 Austin Yuan 2011-05-27 01:32:16 UTC
please include vaapi/pvr-driver - for PowerVR chips
Comment 2 Gwenole Beauchesne 2011-05-27 02:04:18 UTC
Here are the suggested details for the PVR driver:

* vaapi/pvr-driver
- Services: GIT hosting, bugzilla
- Approve new members: Austin Yuan
- GIT & Bugzilla description: HW video decode/encode support for PowerVR platforms.
Comment 3 Gwenole Beauchesne 2011-06-13 10:43:34 UTC
Hi, could some admin please comment on this? Thanks.
Comment 4 Eric Anholt 2011-06-27 14:07:38 UTC
I've created repositories for the drivers as part of the libva project, added a symlink from libva.git to vaapi/libva.git, and added the new components to libva's bugzilla product.  Look good?

For setting up the initial contents of the intel-driver, I'd recommend starting from libva.git, removing the files you don't want, and pushing.  Either that, or git filter-branch.

Feel free to reopen if there's more to be done.
Comment 5 Tim Writer 2011-07-21 14:24:52 UTC
(In reply to comment #4)
> I've created repositories for the drivers as part of the libva project, added a
> symlink from libva.git to vaapi/libva.git, and added the new components to
> libva's bugzilla product.  Look good?

Can you clarify that?

When I go here:

    http://cgit.freedesktop.org/libva/tree/

I only see i965_drv_video, which has been there for a while, and I don't see vaapi at all here:

    http://cgit.freedesktop.org/

I'm most interested in the XvBA driver (vaapi/xvba-driver) in Gwenole's request.

Thanks,

Tim
Comment 6 Gwenole Beauchesne 2011-07-22 07:43:00 UTC
Actually, I was on business trip and I did not bring my PGP/SSH keys with me. So, the repositories are not uploaded yet. However, I am missing the right group permissions.

Eric, could you please add me to the libva UNIX group so that I can actually commit? Thanks.
Comment 7 Robert Jobbagy 2011-07-28 11:31:32 UTC
I'm very interested in this project.
Comment 8 Austin Yuan 2011-08-08 22:49:56 UTC
I have committed pvr driver into vaapi/pvr-driver. One problem is that the web interface doesn't work, we can't find our project in http://cgit.freedesktop.org/. How to fix it?
Comment 9 Gwenole Beauchesne 2011-09-05 03:42:24 UTC
Hi, the git web interface was fixed (issue #40127). Closing. Thanks.